# Uses of Interface
com.destroystokyo.paper.event.server.AsyncTabCompleteEvent.Completion

Packages that use AsyncTabCompleteEvent.Completion
Package
Description
com.destroystokyo.paper.event.server

## Uses of AsyncTabCompleteEvent.Completion in com.destroystokyo.paper.event.server

Methods in com.destroystokyo.paper.event.server that return AsyncTabCompleteEvent.Completion
Modifier and Type
Method
Description
`static @NotNull AsyncTabCompleteEvent.Completion`
AsyncTabCompleteEvent.Completion.`completion(@NotNull String suggestion)`
Create a new `AsyncTabCompleteEvent.Completion` from a suggestion string.
`static @NotNull AsyncTabCompleteEvent.Completion`
AsyncTabCompleteEvent.Completion.`completion(@NotNull String suggestion, @Nullable Component tooltip)`
Create a new `AsyncTabCompleteEvent.Completion` from a suggestion string and a tooltip `Component`.
Methods in com.destroystokyo.paper.event.server that return types with arguments of type AsyncTabCompleteEvent.Completion
Modifier and Type
Method
Description
`@NotNull List<AsyncTabCompleteEvent.Completion>`
AsyncTabCompleteEvent.`completions()`
The list of `completions` which will be offered to the sender, in order.
Method parameters in com.destroystokyo.paper.event.server with type arguments of type AsyncTabCompleteEvent.Completion
Modifier and Type
Method
Description
`void`
AsyncTabCompleteEvent.`completions(@NotNull List<AsyncTabCompleteEvent.Completion> newCompletions)`
Set the `completions` offered, overriding any already set.